import { Component, Fragment } from "react";
import withRouter from 'umi/withRouter';
import Prompt from 'umi/prompt';

class RouterEvent extends Component {
  state = {
    location: {}
  }

  componentDidMount() {
    console.log('-----props------->', this.props)

    this.props.onEnter();
    this.setState({ location: this.props.location });
  }

  componentDidUpdate() {
    const originURL = this.props.location.pathname + this.props.location.search
    const currentURL = this.state.location.pathname + this.state.location.search

    if (originURL != currentURL) {
      this.props.onEnter();
      this.setState({ location: this.props.location });
    }
  }

  render() {
    const onLeave = this.props.onLeave;

    return (
      <div>
        <Prompt message={() => { onLeave(); return true; }} />
        {this.props.children}
      </div>
    );
  }
}

export default withRouter(RouterEvent)
